<?php
if (!isset($_REQUEST['mod_id'])) exit;

$_REQUEST['mod_id'] = Sb_GetWordAndDecimalCharacter($_REQUEST['mod_id']);

$module_dir = $_SERVER['DOCUMENT_ROOT'].'/modules/rssreader/';
$module_data_dir = $module_dir.'www/data/'.$_REQUEST['mod_id'].'/';
$module_data_uri = 'http://'.$_SERVER['SERVER_NAME'].($_SERVER['SERVER_PORT']!='80'?':'.$_SERVER['SERVER_PORT']:'').substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['PHP_SELF'],'/')).'/data/'.$_REQUEST['mod_id'].'/';
if (!file_exists($module_data_dir)) exit;

function checkPath( $path )
{
	$path = str_replace("\\", "/", $path );
	if( ''!=$path && '/'!=substr($path, -1)) return $path.'/';
	else return $path;
}
function unhtmlentities($string) 
{
    $trans_tbl = get_html_translation_table(HTML_ENTITIES);
    $trans_tbl = array_flip($trans_tbl);
    return strtr($string, $trans_tbl);
}
$content = '';

if(file_exists($module_data_dir.'rss.txt'))
{
    $f = fopen($module_data_dir.'rss.txt', 'r');
    $rss_channel = rawurldecode(trim(fread($f, filesize($module_data_dir.'rss.txt'))));
    fclose($f);
    if ($rss_channel!='') 
    {
        $f = fopen($rss_channel, 'r');
        if (function_exists('stream_get_meta_data') && function_exists('gzopen')) {
            $stream_data = @stream_get_meta_data($f);
            if (is_array($stream_data['wrapper_data']) && strpos(implode($stream_data['wrapper_data']), 'Content-Encoding: gzip') > 0) {
                $f = @fopen('compress.zlib://'.$rss_channel, 'r');
            }
        }
        if ($f) {
            $xml_str = '';
            while(!feof($f))
            {   
                $xml_str .= fgets($f,4096);
            };
            fclose($f);

            if (preg_match("/<rdf:RDF/i", $xml_str)) {
                $xsl_file = 'rss10.xsl';
            }
            else {
                $xsl_file = 'rss20.xsl';
            }

            global $local_strings;
            $local_strings = array();
            if (file_exists($module_data_dir.'local_strings.php')) require_once($module_data_dir.'local_strings.php');

			$content=SB_CompilePage($module_dir.'xsl/','UTF-8',$xml_str,$xsl_file,$local_strings);
            $content = eregi_replace("<\?xml([^>]*)\?>", '', $content);
            $content = unhtmlentities($content);
        }
    }
}
?>

<HTML>
<HEAD>
<TITLE></TITLE>
<meta http-equiv="Content-Type" content="text/html; "/>
<meta http-equiv="pragma" content="no-cache"/>
<link rel="stylesheet" type="text/css" href="<?phpecho $module_data_uri;?>styles.css"/>
</HEAD>

<body style='background-color:transparent; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px;'>

<?php
echo($content);
?>

</body>
</HTML>
