<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:param name="summary" select="''"/>
<xsl:param name="items" select="''"/>
<xsl:param name="language" select="''"/>
<xsl:param name="creator" select="''"/>
<xsl:param name="subject" select="''"/>
<xsl:param name="date" select="''"/>
<xsl:param name="generator" select="''"/>

<xsl:param name="january" select="''"/>
<xsl:param name="february" select="''"/>
<xsl:param name="march" select="''"/>
<xsl:param name="april" select="''"/>
<xsl:param name="may" select="''"/>
<xsl:param name="june" select="''"/>
<xsl:param name="july" select="''"/>
<xsl:param name="august" select="''"/>
<xsl:param name="september" select="''"/>
<xsl:param name="october" select="''"/>
<xsl:param name="november" select="''"/>
<xsl:param name="december" select="''"/>

<xsl:template match="/">
<xsl:apply-templates />
</xsl:template>

<xsl:template match="rdf">
	<xsl:apply-templates select="channel"/>
	<h4 class="pageContent"><xsl:value-of select="$items"/></h4>
	<xsl:apply-templates select="item"/>
</xsl:template>

<xsl:template match="channel">
    <h3 class="pageContent"><a href="{link}" target="_blank"><xsl:value-of select="title"/></a></h3>
    <xsl:apply-templates select="/image"/>
</xsl:template>

<xsl:template match="image">
    <a href="{link}" title="{title}" target="_blank">
        <img alt="{title}" border="0">
            <xsl:attribute name="src"><xsl:value-of select="normalize-space(url)"/></xsl:attribute>
            <xsl:if test="width!=''"><xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute></xsl:if>
            <xsl:if test="height!=''"><xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute></xsl:if>
        </img>
    </a>
</xsl:template>

<xsl:template match="item">
<span class="pageContent">
    <xsl:value-of select="position()"/> - <a class="pageContent"><xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute><xsl:value-of select="title"/></a><br/><br/>
</span>
</xsl:template>

</xsl:stylesheet>
